* {
    margin: 0;
    padding: 0;
}

p,
h1,
h2,
h3,
h4,
h5 {
    margin: 0px;
}

ul,
li {
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

textarea {
    resize: none;
}

textarea[disabled],
textarea.form-control[disabled],
input.form-control[disabled],
input[type=text][disabled],
input[type=password][disabled],
input[type=email][disabled],
input[type=number][disabled],
[type=text].form-control[disabled],
[type=password].form-control[disabled],
[type=email].form-control[disabled],
[type=tel].form-control[disabled],
[contenteditable].form-control[disabled],
textarea[readonly],
textarea.form-control[readonly],
input.form-control[readonly],
input[type=text][readonly],
input[type=password][readonly],
input[type=email][readonly],
input[type=number][readonly],
[type=text].form-control[readonly],
[type=password].form-control[readonly],
[type=email].form-control[readonly],
[type=tel].form-control[readonly],
[contenteditable].form-control[readonly] {
    color: #777;
}

/* 提示框 */

#alert_tip {
    position: absolute;
    padding: 10px 20px;
    background: #2F2A2A;
    color: #FFF;
    border-radius: 4px;
    cursor: pointer;
    z-index: 9999999;
    visibility: hidden;
    opacity: 0;
}

#alert_tip span {
    display: block;
    font-size: 15px;
}

/* 提示框 结束 */

input[readonly] {
    background: rgba(243, 247, 249, .9) !important;
}

/* 选择用户数据集对话框 */

#dataset_dialog .modal-body {
    position: relative;
    padding: 5px;
    background: #f9f9f9;
    overflow: hidden;
}

@media (min-width: 768px) {
    #dataset_dialog .modal-dialog {
        width: 350px;
    }
}

#dataset_dialog .modal-body>div:first-of-type {
    height: 240px;
}

#my_dataset_tree * {
    font: normal normal normal 12px FontAwesome !important;
}

#my_dataset_tree .glyphicon {
    font-family: 'Glyphicons Halflings' !important;
    font-style: normal !important;
    font-weight: normal !important;
    line-height: 1 !important;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

#dataset_dialog i.fa-folder {
    color: #4a8fd7;
    font-size: 14px;
}

#my_dataset_tree .fa-folder {
    font-size: 13px !important;
}

#my_dataset_tree .fa-file,
#my_dataset_tree .fa-file-photo-o {
    font-size: 13px !important;
}

#my_dataset_tree .fa-object-group {
    font-size: 12px !important;
}

#dataset_dialog .new_dt_Info {
    padding: 5px;
    background: #fff;
    padding-top: 15px;
    border-top: 1px solid #ddd;
    display: none;
    position: relative;
}

#dataset_dialog .new_dt_Info .form-group {
    margin-bottom: 5px;
}

#com_market_add_dataset {
    margin-top: 8px;
}

#dataset_dialog .footer {
    background: #fff;
    padding: 10px;
}

#com_user_new_dataset {
    float: left;
}

#com_user_add_data {
    float: right;
}

#dataset_dialog .new_dt_Info .close_dt {
    width: 24px;
    height: 24px;
    font-size: 24px;
    position: absolute;
    top: 15px;
    right: 5px;
    line-height: normal;
    text-align: center;
    cursor: pointer;
    z-index: 2;
}

#dataset_dialog i.fa-folder {
    color: #4a8fd7;
    font-size: 14px;
}


/* 选择目录文件夹对话框 */

@media (min-width: 768px) {
    #folder_dialog .modal-dialog {
        width: 400px;
    }
}

#folder_dialog .modal-body {
    padding: 15px 5px 15px 15px;
    background: #f9f9f9;
}

#folder_dialog .modal-body>div {
    height: 300px;
}

/* 选择集市目录数据集弹出框 */

#com_market_dataset_dialog .modal-body {
    position: relative;
    padding: 5px;
    background: #f9f9f9;
}

#com_market_dataset_dialog .modal-body>div:first-of-type {
    height: 300px;
}

#market_dataset_tree * {
    font: normal normal normal 12px FontAwesome !important;
}

#market_dataset_tree .glyphicon {
    font-family: 'Glyphicons Halflings' !important;
    font-style: normal !important;
    font-weight: normal !important;
    line-height: 1 !important;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

#market_dataset_tree.ztree li a.curSelectedNode {
    height: 19px !important;
}

#com_market_dataset_dialog .new_dt_Info {
    padding: 5px;
    background: #fff;
    padding-top: 15px;
    border-top: 1px solid #ddd;
    display: none;
    position: relative;
}

#com_market_dataset_dialog .new_dt_Info .form-group {
    margin-bottom: 5px;
}

#com_market_add_dataset {
    margin-top: 8px;
}

#com_market_dataset_dialog .footer {
    background: #fff;
    padding: 10px;
}

#com_market_new_dataset {
    float: left;
}

#com_market_sel_dataset {
    float: right;
}

#com_market_dataset_dialog .new_dt_Info .close_dt {
    width: 24px;
    height: 24px;
    font-size: 24px;
    position: absolute;
    top: 15px;
    right: 5px;
    line-height: normal;
    text-align: center;
    cursor: pointer;
}

#com_market_dataset_dialog i.fa-folder {
    color: #4a8fd7;
    font-size: 14px;
}

@media (min-width: 768px) {
    #com_market_dataset_dialog .modal-dialog {
        width: 400px;
    }

    #com_market_dataset_dialog .form-horizontal .control-label {
        padding-top: 5px;
    }
}

/* 选择集市目录数据集弹出框 结束 */

/* 选择样本库目录或样本集 */

#sample_lib_dialog .set_box,
#sample_lib_dialog .lib_box {
    min-height: 100px;
    max-height: calc(100vh - 300px);
    overflow: auto;
    padding-top: 5px;
}

#sample_lib_dialog .set_box {
    position: relative;
    height: 320px;
    display: none;
}

#sample_lib_dialog .set_box .left_tree {
    width: 260px;
    height: 100%;
    border: 1px solid #337ab7;
    overflow: auto;
    border-radius: 3px;
    border-color: #ddd;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

#sample_lib_dialog .set_box .left_tree>p {
    padding: 7px;
    font-size: 12px;
    /* background: #337ab7;
    color: #fff; */
    color: #333;
    background-color: #f5f5f5;
    border-bottom: 1px solid #ddd;
}

#sample_lib_dialog .set_box .right_view {
    position: absolute;
    top: 5px;
    left: 260px;
    right: 0px;
    bottom: 0px;
    overflow: auto;
    padding-top: 4px;
}

.lib_group {
    margin-bottom: 15px;
}

.lib_group .title {
    padding: 0 10px;
}

.lib_group .title .lf {
    display: inline-block;
    width: 4px;
    height: 12px;
    background: #78c9cf;
    margin-bottom: -1px;
}

.lib_group .title hr {
    margin: 10px 0;
}

.btn-app {
    border-radius: 3px;
    position: relative;
    padding: 15px 5px;
    margin: 0 0 20px 20px;
    min-width: 80px;
    /* height: 65px; */
    text-align: center;
    color: #666;
    border: 1px solid #ddd;
    background-color: #f4f4f4;
    font-size: 12px;
    position: relative;
    padding: 15px 5px 10px;
    min-width: 110px;
    min-height: 65px;
    overflow: hidden;
    position: relative;
}

.btn-app:active:focus,
.btn-app:focus {
    outline: none;
}

.btn-app:active {
    box-shadow: none;
    -webkit-box-shadow: none;
}

.btn-app:hover {
    color: #666;
}

.btn-app>b {
    position: absolute;
    top: 4px;
    right: -14px;
    font-weight: 400;
    font-size: 12px;
    background: #7ab9cc;
    padding: 2px 10px 0px;
    border-radius: 2px;
    color: #fff;
    transform: rotate(45deg);
}

.btn-app>p {
    /* overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 68px; */

    width: 98px;
    word-wrap: break-word;
    word-break: normal;
    white-space: normal;
}

.right_view .btn-app {
    min-height: 84px;
}

.btn-app>i.fa-circle.chk {
    display: none;
}

.btn-app.chk>.fa-circle-thin.chk {
    display: none;
}

.btn-app.chk>.fa-circle.chk {
    display: block;
}

.btn-app>i.fa-check-square-o.chk {
    display: none;
}

.btn-app.chk>.fa-square-o.chk {
    display: none;
}

.btn-app.chk>.fa-check-square-o.chk {
    display: block;
}

.btn-app.chk>i.chk {
    color: #337ab7;
}

.btn-app>i.chk {
    position: absolute;
    top: 6px;
    left: 7px;
    font-size: 14px;
    color: #666;
}

.btn-app>i.fa-folder-o {
    font-size: 18px;
    display: block;
    margin-bottom: 5px;
}

.btn-app>i.icon {
    font-size: 18px;
    display: block;
    margin-bottom: 5px;
}

/* 选择样本库目录或样本集 结束 */



/* 选择选择模型库目录 */

#model_modal .set_box,
#model_modal .lib_box {
    min-height: 100px;
    max-height: calc(100vh - 300px);
    overflow: auto;
    padding-top: 5px;
}

#model_modal .set_box {
    position: relative;
    height: 320px;
    display: block;
}

#model_modal .set_box .left_tree {
    width: 180px;
    height: 100%;
    border: 1px solid #337ab7;
    overflow: auto;
    border-radius: 3px;
    border-color: #ddd;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

#model_modal .set_box .left_tree>p {
    padding: 7px;
    font-size: 12px;
    /* background: #337ab7;
    color: #fff; */
    color: #333;
    background-color: #f5f5f5;
    border-bottom: 1px solid #ddd;
}

#model_modal .set_box .right_view {
    position: absolute;
    top: 5px;
    left: 180px;
    right: 0px;
    bottom: 0px;
    overflow: auto;
    padding-top: 4px;
}

#model_modal .empty_tip {
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    margin-left: -42px;
    margin-top: -36px;
    color: #999;
}

#model_modal .empty_tip>div {
    text-align: center;
    margin-bottom: 6px;
}

#model_modal .empty_tip i {
    font-size: 25px;
}


/* 选择模型库目录 结束 */


/* 选择选择应用库目录 */

#ai_api_modal .set_box,
#ai_api_modal .lib_box {
    min-height: 100px;
    max-height: calc(100vh - 300px);
    overflow: auto;
    padding-top: 5px;
}

#ai_api_modal .set_box {
    position: relative;
    height: 320px;
    display: block;
}

#ai_api_modal .set_box .left_tree {
    width: 180px;
    height: 100%;
    border: 1px solid #337ab7;
    overflow: auto;
    border-radius: 3px;
    border-color: #ddd;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

#ai_api_modal .set_box .left_tree>p {
    padding: 7px;
    font-size: 12px;
    /* background: #337ab7;
    color: #fff; */
    color: #333;
    background-color: #f5f5f5;
    border-bottom: 1px solid #ddd;
}

#ai_api_modal .set_box .right_view {
    position: absolute;
    top: 5px;
    left: 180px;
    right: 0px;
    bottom: 0px;
    overflow: auto;
    padding-top: 4px;
}

#ai_api_modal .empty_tip {
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    margin-left: -42px;
    margin-top: -36px;
    color: #999;
}

#ai_api_modal .empty_tip>div {
    text-align: center;
    margin-bottom: 6px;
}

#ai_api_modal .empty_tip i {
    font-size: 25px;
}


/* 选择选择应用库目录 结束 */




/* 加载中界面 */

.grm_spin {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background: rgba(255, 255, 255, 1);
    z-index: 99999;
}

.grm_spin .loading_content {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.grm_spin .loading_content p {
    text-align: center;
}

@-webkit-keyframes line-scale {
    0% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }

    50% {
        -webkit-transform: scaley(0.4);
        transform: scaley(0.4);
    }

    100% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }
}

@keyframes line-scale {
    0% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }

    50% {
        -webkit-transform: scaley(0.4);
        transform: scaley(0.4);
    }

    100% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }
}

.grm_spin .line-scale>div:nth-child(1) {
    -webkit-animation: line-scale 1s 0.1s infinite cubic-bezier(.2, .68, .18, 1.08);
    animation: line-scale 1s 0.1s infinite cubic-bezier(.2, .68, .18, 1.08);
}

.grm_spin .line-scale>div:nth-child(2) {
    -webkit-animation: line-scale 1s 0.2s infinite cubic-bezier(.2, .68, .18, 1.08);
    animation: line-scale 1s 0.2s infinite cubic-bezier(.2, .68, .18, 1.08);
}

.grm_spin .line-scale>div:nth-child(3) {
    -webkit-animation: line-scale 1s 0.3s infinite cubic-bezier(.2, .68, .18, 1.08);
    animation: line-scale 1s 0.3s infinite cubic-bezier(.2, .68, .18, 1.08);
}

.grm_spin .line-scale>div:nth-child(4) {
    -webkit-animation: line-scale 1s 0.4s infinite cubic-bezier(.2, .68, .18, 1.08);
    animation: line-scale 1s 0.4s infinite cubic-bezier(.2, .68, .18, 1.08);
}

.grm_spin .line-scale>div:nth-child(5) {
    -webkit-animation: line-scale 1s 0.5s infinite cubic-bezier(.2, .68, .18, 1.08);
    animation: line-scale 1s 0.5s infinite cubic-bezier(.2, .68, .18, 1.08);
}

.grm_spin .line-scale>div {
    background-color: #279fcf;
    width: 4px;
    height: 35px;
    border-radius: 2px;
    margin: 2px;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    display: inline-block;
}

.grm_spin .line-scale {
    text-align: center;
}

.grm_spin.large .line-scale>div {
    width: 8px;
    height: 80px;
    margin: 4px;
}

.grm_spin.large .loading_content p {
    font-size: 15px;
}

.grm_spin .sk-bounce-inner{
    position: relative;
    width: 40px;
    height: 40px;
    margin-bottom: 6px;
}


.grm_spin .sk-bounce-dot {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #01FFFF;
    opacity: 0.6;
    position: absolute;
    top: 0;
    left: 0;
    animation: sk-bounce 3s infinite cubic-bezier(0.455, 0.03, 0.515, 0.955);
}

.grm_spin .sk-bounce-dot:nth-child(2) {
    animation-delay: -1.0s;
}

@keyframes sk-bounce {

    0%,
    100% {
        transform: scale(0);
    }

    45%,
    55% {
        transform: scale(1);
    }
}

/* 加载中界面 结束 */